# DataExchange
TKIGES
IGESSolid

# IGESSolid_SolidOfLinearExtrusion Class Reference

defines SolidOfLinearExtrusion, Type <164> Form Number <0>
in package IGESSolid
Solid of linear extrusion is defined by translatin an
area determined by a planar curve

`#include <IGESSolid_SolidOfLinearExtrusion.hxx>`

Inheritance diagram for IGESSolid_SolidOfLinearExtrusion:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_SolidOfLinearExtrusion ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aCurve, const Standard_Real aLength, const gp_XYZ &aDirection)
| This method is used to set the fields of the class SolidOfLinearExtrusion - aCurve : the planar curve that is to be translated - aLength : the length of extrusion - aDirection : the vector specifying the direction of extrusion default (0,0,1) .
Standard_EXPORT Handle_IGESData_IGESEntity | Curve () const
| returns the planar curve that is to be translated
Standard_EXPORT Standard_Real | ExtrusionLength () const
| returns the Extrusion Length
Standard_EXPORT gp_Dir | ExtrusionDirection () const
| returns the Extrusion direction
Standard_EXPORT gp_Dir | TransformedExtrusionDirection () const
| returns ExtrusionDirection after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_IGESEntity | theCurve
Standard_Real | theLength
gp_XYZ | theDirection

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_SolidOfLinearExtrusion::IGESSolid_SolidOfLinearExtrusion | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESSolid_SolidOfLinearExtrusion::Curve | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_SolidOfLinearExtrusion::ExtrusionDirection | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_SolidOfLinearExtrusion::ExtrusionLength | ( |  | ) | const

Standard_EXPORT const IGESSolid_SolidOfLinearExtrusion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_SolidOfLinearExtrusion::Init | ( | const Handle(IGESData_IGESEntity)& | aCurve,
|  | const Standard_Real | aLength,
|  | const gp_XYZ & | aDirection
| ) |

Standard_EXPORT gp_Dir IGESSolid_SolidOfLinearExtrusion::TransformedExtrusionDirection | ( |  | ) | const

## Field Documentation

Handle_IGESData_IGESEntity IGESSolid_SolidOfLinearExtrusion::theCurve `[private]`

gp_XYZ IGESSolid_SolidOfLinearExtrusion::theDirection `[private]`

Standard_Real IGESSolid_SolidOfLinearExtrusion::theLength `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_SolidOfLinearExtrusion.hxx